[mythtv-users] Re: MythTV and PSP

Byron Poland wpoland at gmail.com
Thu Dec 15 22:36:09 EST 2005

On 12/15/05, Jason Sharpe <mythtv.list at gmail.com> wrote:
> Hello,
>  This is a great idea!
>  I tried to compile the patched ffmpeg on fc4 (everything updated last night
> via yum) and got the following:
>  [root at mythfrontendliving ffmpeg-050310-0.30]# make
>  make -C libavcodec all
>  make[1]: Entering directory
> `/home/mythtv/Desktop/ffmpeg_patched_diff_031/ffmpeg-050310-0.30/libavcodec'
>  gcc -O3 -g -Wall -Wno-switch  -DHAVE_AV_CONFIG_H -I..
> bitstream.c
>  In file included from avcodec.h:14,
>                   from bitstream.c:28:
>  common.h:59: error: array type has incomplete element type
>  common.h:63: error: array type has incomplete element type
>  make[1]: *** [bitstream.o] Error 1
>  make[1]: Leaving directory
> `/home/mythtv/Desktop/ffmpeg_patched_diff_031/ffmpeg-050310-0.30/libavcodec'
>  make: *** [lib] Error 2
>  I am by no means a Linux expert and installed everything from packages so I
> am out of my element ... :)
>  Googling doesn't turn up much at all.
>  Oh well, I guess I will wait ..:)
>  Jason

This build of ffmpeg doesn't like gcc4.  I'm running Ubuntu Breezy,
and I get a similar error.  I don't know the easy way to switch gcc
versions, so I just change the symlinks in /usr/bin back and forth. 
gcc3.4 builds it ok.

More information about the mythtv-users mailing list